# Uses of Class
org.apache.lucene.util.hnsw.HnswGraph.NodesIterator

Packages that use HnswGraph.NodesIterator
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of HnswGraph.NodesIterator in org.apache.lucene.util.hnsw

  Subclasses of HnswGraph.NodesIterator in org.apache.lucene.util.hnsw
  Modifier and Type
  Class
  Description
  `static class`
  `HnswGraph.ArrayNodesIterator`
  NodesIterator that accepts nodes as an integer array.
  `static class`
  `HnswGraph.CollectionNodesIterator`
  Nodes iterator based on set representation of nodes.
  Methods in org.apache.lucene.util.hnsw that return HnswGraph.NodesIterator
  Modifier and Type
  Method
  Description
  `abstract HnswGraph.NodesIterator`
  HnswGraph.`getNodesOnLevel(int level)`
  Get all nodes on a given level as node 0th ordinals.
  `HnswGraph.NodesIterator`
  OnHeapHnswGraph.`getNodesOnLevel(int level)`
  WARN: calling this method will essentially iterate through all nodes at level 0 (even if you're not getting node at level 0), we have built some caching mechanism such that if graph is not changed only the first non-zero level call will pay the cost.
  Methods in org.apache.lucene.util.hnsw with parameters of type HnswGraph.NodesIterator
  Modifier and Type
  Method
  Description
  `static int[]`
  HnswGraph.NodesIterator.`getSortedNodes(HnswGraph.NodesIterator nodesOnLevel)`